summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-06-15 15:54:51 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-15 15:54:51 +0000
commit3f45ea46772a2a2559df77704d74899fd02f3a9a (patch)
tree8479365f58c5b6e33ff237a3e89d8c9d8a52543c /ci/deploy.sh
parentac70d7441e0f17a857226678d14b4985a21df6b2 (diff)
parent3627f2a758d409785404a5f2dffd284cda9896d6 (diff)
Merge "Add DPDK test app for ovs_dpdk deployment"
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 5fcc3887..44914f22 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -1001,6 +1001,22 @@ if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
fi
EOI
+ # Configure DPDK
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI || (echo "DPDK config failed, exiting..."; exit 1)
+source stackrc
+set -o errexit
+for node in \$(nova list | grep novacompute | grep -Eo "[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+"); do
+echo "Running DPDK test app on \$node"
+ssh -T ${SSH_OPTIONS[@]} "heat-admin@\$node" <<EOF
+set -o errexit
+sudo dpdk_helloworld --no-pci
+sudo dpdk_nic_bind -s
+EOF
+done
+EOI
+ fi
+
if [ "$debug" == 'TRUE' ]; then
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source overcloudrc